Skip to main content
`Ctrl`+`K`
scipy.special.

# mathieu_even_coef

scipy.special.mathieu_even_coef(m, q)

  Fourier coefficients for even Mathieu and modified Mathieu functions.

  The Fourier series of the even solutions of the Mathieu differential equation are of the form

  \[\mathrm{ce}_{2n}(z, q) = \sum_{k=0}^{\infty} A_{(2n)}^{(2k)} \cos 2kz\]
  \[\mathrm{ce}_{2n+1}(z, q) = \sum_{k=0}^{\infty} A_{(2n+1)}^{(2k+1)} \cos (2k+1)z\]

  This function returns the coefficients \(A_{(2n)}^{(2k)}\) for even input m=2n, and the coefficients \(A_{(2n+1)}^{(2k+1)}\) for odd input m=2n+1.

  Parameters:
    m int

      Order of Mathieu functions. Must be non-negative.

    q float (>=0)

      Parameter of Mathieu functions. Must be non-negative.

  Returns:
    Ak ndarray

      Even or odd Fourier coefficients, corresponding to even or odd m.

  References

  [1]

  Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. https://people.sc.fsu.edu/~jburkardt/f77_src/special_functions/special_functions.html

  [2]

  NIST Digital Library of Mathematical Functions https://dlmf.nist.gov/28.4#i